#include<fstream>
#include<cmath>
using namespace std;
ifstream fi("FINDNUM.inp");
ofstream fo("FINDNUM.out");
int p=0;
int y,x;
int main()
{
	fi>>y>>x;
	for(int i=1;i<=y;i++)
	{
		if((y<x)&&(i==1)) continue;
		if(x%i==0) p++;
	}
	fo<<p;
	fi.close();
	fo.close();
}
